QGIS Application - Feature request #7669
Usage of the mouse scroll wheel
2013-04-22 01:06 AM - zirneklitis -

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 16586
Description

At present the mouse scroll wheel is used for zooming in/out. More advanced key board - the mouse scroll wheel combinations are used
in other software, e.g., GIMP and Inkscape:

scroll wheel away - pans canvas down;

scroll wheel to user - pans canvas up;
[Shift]_scroll wheel away - pans canvas right;
[Shift]_scroll wheel to user - pans canvas left;
[Ctrl]_scroll wheel away - zoom in;
[Ctrl]_scroll wheel to user - zoom out.

The implementation of such combinations will be very helpful during digitising.

History

#1 - 2013-04-22 01:17 AM - Nathan Woodrow

I think

[Shift]_scroll wheel away - pans canvas right;

[Shift]_scroll wheel to user - pans canvas left;

[Ctrl]_scroll wheel away - pans canvas down;

[Ctrl]_scroll wheel to user - pans canvas up;

would be better. Although now the meta keys are passed up to the QgsMapTool class so that people can override their behavior, might not be good to add

our own on those keys.

#2 - 2013-04-22 01:41 AM - zirneklitis -

It depends. ;-) My suggested behaviour is more system wide compatible. Even Windows 7 File Explorer use Ctrl_Mouse-Wheel for Zooming. Nathan's

suggestion is more compatible with used-to actions in QGIS and ArcMap.

#3 - 2013-04-22 01:44 AM - Matthias Kuhn

Just to mention it:

Currently there already is the possibility to pan the canvas by holding the [Space] key down.

My vote also goes to default behavior (without modifiers) being zoom.

2024-03-20 1/3




#4 - 2013-04-22 02:12 AM - zirneklitis -

Thank You for useful tip! | have missed it.

Matthias Kuhn wrote:

Currently there already is the possibility to pan the canvas by holding the [Space] key down.

#5 - 2013-04-22 02:14 AM - Nathan Woodrow

zirneklitis - wrote:

It depends. ;-) My suggested behaviour is more system wide compatible. Even Windows 7 File Explorer use Ctrl_Mouse-Wheel for Zooming.

Nathan's suggestion is more compatible with used-to actions in QGIS and ArcMap.

We are not building a file explorer so pan as the default action make no sense.

#6 - 2013-04-22 02:26 AM - zirneklitis -
File Explorer was just an example. The key combinations suggested by me is used in many applications. It does not matter whether | am working wit my

text documents, image from digital camera or just browsing files. In any application mouse wheel behaves the same - Scrolling and [Shift]_Scrolling moves
the content of the window and [Ctrl]_Scrolling Zooms in and out.

#7 - 2013-04-22 02:48 AM - Matthias Kuhn
Well-known map applications coming to my mind spontaneously use the scrollwheel without modifiers for zooming
- OSM
- Google
#8 - 2013-04-22 03:16 AM - Borys Jurgiel
It could be user-configurable, and the third option would be to only zoom without modifiers (reserving them for QMapTool). | insist for the third option, as

my personal use of modifiers in QgsMapTool will be inserting rectangle objects by click in centroid, while width, height and angle are adjusted by the
wheel with Shift/Ctrl/both.

#9 - 2013-04-22 03:44 AM - Nathan Woodrow

- Status changed from Open to Closed

- Resolution set to wontfix

| disagree | don't think we need yet another thing to be configured. If it's configurable then some user won't be able to use you plugin at all.

Closing as wontfix because:

- All decent GIS tools use mouse wheel to zoom.
- Hold Space and moving mouse is a shortcut for pan
- Direction arrows can pan the map (while using tools)
- Middle mouse button can pan the map (while using tools)

#10 - 2015-04-16 08:27 PM - belg4mit -

| would recommend revisiting this, and adopting it in core. As noted by the original requestor, it seems to be a pretty standard feature in a variety of
graphics packages, and therefore standardized. There would not be a need to provide additional customization, although that could be implemented via a
plugin should someone be unhappy with the defaults, if the feature is implemented with non-hardcoded values. To omit such basic functionality is very
frustrating, and results in significant losses of productivity as it is necessary to frequently switch back and forth between tools.

There may be many alternatives but:

1) They are not compliant with muscle memory established for this same behavior in other software; just as | was trying to test the space + mouse version |
found myself holding Alt instead.

2) They are not intuitive and seemingly not well documented. This feature request is the first place I've encountered these

3) Scroll wheel gives much finer control than the arrows

Additionally, the display does not update while using the other options variants, which makes it difficult to tell if one has scrolled sufficiently.

#11 - 2015-04-16 08:34 PM - Nathan Woodrow

The only thing we would implement is:

[Shift]_scroll wheel away - pans canvas right;

[Shift]_scroll wheel to user - pans canvas left;

[Ctrl]_scroll wheel away - pans canvas down;

[Ctrl]_scroll wheel to user - pans canvas up;

As | can see some values in that, however having non modify for zoom on mouse wheel is standard GIS software and that isn't going to change as | don't

see any good argument for doing so.

Files

mouse_wheel.ogv 2.37 MB 2013-04-21 zirneklitis -
